Table of Contents

Module: html | Twisted-0.17.4/twisted/web/html.py
--- | ---

I hold HTML generation helpers.

Imported modules |
--- | ---
from cStringIO import StringIO import string import traceback from twisted.web import resource
Functions |
PRE UL escape linkList output
| PRE

    PRE ( text )

Wrap <PRE> tags around some text and escape it with web.escape.

| UL

    UL ( lst )

| escape

    escape ( text )

Escape a few HTML special chars with HTML entities.

| linkList

    linkList ( lst )

| output

    output (
            func,
            *args,
            *kw,
            )

output(func, args, *kw) -> html string Either return the result of a function (which presumably returns an HTML-legal string) or an HTMLized traceback describing why that function didn't run.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:53 2002 by HappyDoc version 2.0